org.apache.sling.bgservlets.impl.nodestream

## Class NodeInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.sling.bgservlets.impl.nodestream.NodeInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class NodeInputStream
    extends InputStream

Reads data stored by a `NodeOutputStream` and rebuilds a continuous stream out of the multiple Properties that it creates.

### Constructor Summary

Constructors
Constructor and Description
`NodeInputStream(javax.jcr.Node n)`

### Method Summary

Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeInputStream

    public NodeInputStream(javax.jcr.Node n)
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`